﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MCScheduling.GeneticAlgorithm
{
    /**
     * Defines a fitness scaling method.
     */
    public interface IFitnessScaler
    {
        /**
         * Scales the fitness scores of the individuals 
         * within the specified population.
         * 
         * @param population The population of individuals
         *                   to be scaled.
         */
        void scale(CPopulation population) ;
    }
}
